### Enumeration

# WebKit InputPurpose

since: 2.28

#### Declaration

    enum WebKit.InputPurpose

#### Description [src]

Enum values used to describe the primary purpose of the active editable element.

Available since: 2.28

#### Members

`WEBKIT_INPUT_PURPOSE_FREE_FORM`

  Editable element expects any characters.

  - Value: `0`
  - Available since: 2.28
`WEBKIT_INPUT_PURPOSE_DIGITS`

  Editable element expects digits.

  - Value: `1`
  - Available since: 2.28
`WEBKIT_INPUT_PURPOSE_NUMBER`

  Editable element expects a number.

  - Value: `2`
  - Available since: 2.28
`WEBKIT_INPUT_PURPOSE_PHONE`

  Editable element expects a telephone.

  - Value: `3`
  - Available since: 2.28
`WEBKIT_INPUT_PURPOSE_URL`

  Editable element expects a URL.

  - Value: `4`
  - Available since: 2.28
`WEBKIT_INPUT_PURPOSE_EMAIL`

  Editable element expects an email.

  - Value: `5`
  - Available since: 2.28
`WEBKIT_INPUT_PURPOSE_PASSWORD`

  Editable element expects a password.

  - Value: `6`
  - Available since: 2.28